------------------------------------------------------------------------------
--                                                                          --
--                An Ada2005 binding to the Qt C++ framework                --
--                                                                          --
------------------------------------------------------------------------------
--                                                                          --
-- Copyright © 2008 Vadim Godunko <vgodunko@gmail.com>                      --
--                                                                          --
-- QtAda is free software;  you can  redistribute it and/or modify it under --
-- terms of the  GNU General Public License as published  by the Free Soft- --
-- ware  Foundation;  either version 2,  or (at your option) any later ver- --
-- sion. QtAda is distributed in the hope that it will be useful, but WITH- --
-- OUT ANY WARRANTY;  without even the  implied warranty of MERCHANTABILITY --
-- or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License --
-- for  more details.  You should have  received  a copy of the GNU General --
-- Public License distributed with QtAda;  see file COPYING.  If not, write --
-- to  the  Free Software Foundation,  51  Franklin  Street,  Fifth  Floor, --
-- Boston, MA 02110-1301, USA.                                              --
--                                                                          --
-- As a special exception,  if other files  instantiate  generics from this --
-- unit, or you link  this unit with other files  to produce an executable, --
-- this  unit  does not  by itself cause  the resulting  executable  to  be --
-- covered  by the  GNU  General  Public  License.  This exception does not --
-- however invalidate  any other reasons why  the executable file  might be --
-- covered by the  GNU Public License.                                      --
--                                                                          --
------------------------------------------------------------------------------
--    This file has been generated automatically. Please don't edit it.     --
------------------------------------------------------------------------------
with Qt_Ada.Internals.Objects;

with Qt_Ada.Internals.Objects.Abstract_Slider_Proxies;
pragma Warnings (Off, Qt_Ada.Internals.Objects.Abstract_Slider_Proxies);
--  Elaboration of the proxy tagged type package register proxy object
--  constructor. Bindings must be able to create proxy object of the
--  corresponding tagged type for works properly.

package body Qt4.Abstract_Sliders is

   function hasTracking_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.bool;
   pragma Import (C, hasTracking_0_wrapper,
                     "__Qt4Ada_QAbstractSlider_hasTracking_0_wrapper");

   function invertedAppearance_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.bool;
   pragma Import (C, invertedAppearance_0_wrapper,
                     "__Qt4Ada_QAbstractSlider_invertedAppearance_0_wrapper");

   function invertedControls_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.bool;
   pragma Import (C, invertedControls_0_wrapper,
                     "__Qt4Ada_QAbstractSlider_invertedControls_0_wrapper");

   function isSliderDown_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.bool;
   pragma Import (C, isSliderDown_0_wrapper,
                     "__Qt4Ada_QAbstractSlider_isSliderDown_0_wrapper");

   function maximum_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.Q_Integer;
   pragma Import (C, maximum_0_wrapper,
                     "__Qt4Ada_QAbstractSlider_maximum_0_wrapper");

   function minimum_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.Q_Integer;
   pragma Import (C, minimum_0_wrapper,
                     "__Qt4Ada_QAbstractSlider_minimum_0_wrapper");

   function pageStep_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.Q_Integer;
   pragma Import (C, pageStep_0_wrapper,
                     "__Qt4Ada_QAbstractSlider_pageStep_0_wrapper");

   procedure setInvertedAppearance_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Value : Qt4.bool);
   pragma Import (C, setInvertedAppearance_0_wrapper,
                     "__Qt4Ada_QAbstractSlider_setInvertedAppearance_0_wrapper");

   procedure setInvertedControls_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Value : Qt4.bool);
   pragma Import (C, setInvertedControls_0_wrapper,
                     "__Qt4Ada_QAbstractSlider_setInvertedControls_0_wrapper");

   procedure setMaximum_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Value : Qt4.Q_Integer);
   pragma Import (C, setMaximum_0_wrapper,
                     "__Qt4Ada_QAbstractSlider_setMaximum_0_wrapper");

   procedure setMinimum_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Value : Qt4.Q_Integer);
   pragma Import (C, setMinimum_0_wrapper,
                     "__Qt4Ada_QAbstractSlider_setMinimum_0_wrapper");

   procedure setPageStep_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Value : Qt4.Q_Integer);
   pragma Import (C, setPageStep_0_wrapper,
                     "__Qt4Ada_QAbstractSlider_setPageStep_0_wrapper");

   procedure setRange_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Min : Qt4.Q_Integer;
     Max : Qt4.Q_Integer);
   pragma Import (C, setRange_0_wrapper,
                     "__Qt4Ada_QAbstractSlider_setRange_0_wrapper");

   procedure setSingleStep_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Value : Qt4.Q_Integer);
   pragma Import (C, setSingleStep_0_wrapper,
                     "__Qt4Ada_QAbstractSlider_setSingleStep_0_wrapper");

   procedure setSliderDown_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Value : Qt4.bool);
   pragma Import (C, setSliderDown_0_wrapper,
                     "__Qt4Ada_QAbstractSlider_setSliderDown_0_wrapper");

   procedure setSliderPosition_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Value : Qt4.Q_Integer);
   pragma Import (C, setSliderPosition_0_wrapper,
                     "__Qt4Ada_QAbstractSlider_setSliderPosition_0_wrapper");

   procedure setTracking_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Enable : Qt4.bool);
   pragma Import (C, setTracking_0_wrapper,
                     "__Qt4Ada_QAbstractSlider_setTracking_0_wrapper");

   function singleStep_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.Q_Integer;
   pragma Import (C, singleStep_0_wrapper,
                     "__Qt4Ada_QAbstractSlider_singleStep_0_wrapper");

   function sliderPosition_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.Q_Integer;
   pragma Import (C, sliderPosition_0_wrapper,
                     "__Qt4Ada_QAbstractSlider_sliderPosition_0_wrapper");

   function value_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.Q_Integer;
   pragma Import (C, value_0_wrapper,
                     "__Qt4Ada_QAbstractSlider_value_0_wrapper");

   procedure setValue_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Value : Qt4.Q_Integer);
   pragma Import (C, setValue_0_wrapper,
                     "__Qt4Ada_QAbstractSlider_setValue_0_wrapper");

   pragma Style_Checks ("N");

   ------------------
   -- Has_Tracking --
   ------------------

   function Has_Tracking
    (Self : not null access constant Q_Abstract_Slider'Class)
       return Standard.Boolean
   is
   begin
      return
        Qt4.To_Boolean
         (hasTracking_0_wrapper
           (Self.QObject_View));
   end Has_Tracking;

   -------------------------
   -- Inverted_Appearance --
   -------------------------

   function Inverted_Appearance
    (Self : not null access constant Q_Abstract_Slider'Class)
       return Standard.Boolean
   is
   begin
      return
        Qt4.To_Boolean
         (invertedAppearance_0_wrapper
           (Self.QObject_View));
   end Inverted_Appearance;

   -----------------------
   -- Inverted_Controls --
   -----------------------

   function Inverted_Controls
    (Self : not null access constant Q_Abstract_Slider'Class)
       return Standard.Boolean
   is
   begin
      return
        Qt4.To_Boolean
         (invertedControls_0_wrapper
           (Self.QObject_View));
   end Inverted_Controls;

   --------------------
   -- Is_Slider_Down --
   --------------------

   function Is_Slider_Down
    (Self : not null access constant Q_Abstract_Slider'Class)
       return Standard.Boolean
   is
   begin
      return
        Qt4.To_Boolean
         (isSliderDown_0_wrapper
           (Self.QObject_View));
   end Is_Slider_Down;

   -------------
   -- Maximum --
   -------------

   function Maximum
    (Self : not null access constant Q_Abstract_Slider'Class)
       return Qt4.Q_Integer
   is
   begin
      return
        maximum_0_wrapper
         (Self.QObject_View);
   end Maximum;

   -------------
   -- Minimum --
   -------------

   function Minimum
    (Self : not null access constant Q_Abstract_Slider'Class)
       return Qt4.Q_Integer
   is
   begin
      return
        minimum_0_wrapper
         (Self.QObject_View);
   end Minimum;

   ---------------
   -- Page_Step --
   ---------------

   function Page_Step
    (Self : not null access constant Q_Abstract_Slider'Class)
       return Qt4.Q_Integer
   is
   begin
      return
        pageStep_0_wrapper
         (Self.QObject_View);
   end Page_Step;

   -----------------------------
   -- Set_Inverted_Appearance --
   -----------------------------

   procedure Set_Inverted_Appearance
    (Self : not null access Q_Abstract_Slider'Class;
     Value : Standard.Boolean)
   is
   begin
      setInvertedAppearance_0_wrapper
       (Self.QObject_View,
        Qt4.To_bool (Value));
   end Set_Inverted_Appearance;

   ---------------------------
   -- Set_Inverted_Controls --
   ---------------------------

   procedure Set_Inverted_Controls
    (Self : not null access Q_Abstract_Slider'Class;
     Value : Standard.Boolean)
   is
   begin
      setInvertedControls_0_wrapper
       (Self.QObject_View,
        Qt4.To_bool (Value));
   end Set_Inverted_Controls;

   -----------------
   -- Set_Maximum --
   -----------------

   procedure Set_Maximum
    (Self : not null access Q_Abstract_Slider'Class;
     Value : Qt4.Q_Integer)
   is
   begin
      setMaximum_0_wrapper
       (Self.QObject_View,
        Value);
   end Set_Maximum;

   -----------------
   -- Set_Minimum --
   -----------------

   procedure Set_Minimum
    (Self : not null access Q_Abstract_Slider'Class;
     Value : Qt4.Q_Integer)
   is
   begin
      setMinimum_0_wrapper
       (Self.QObject_View,
        Value);
   end Set_Minimum;

   -------------------
   -- Set_Page_Step --
   -------------------

   procedure Set_Page_Step
    (Self : not null access Q_Abstract_Slider'Class;
     Value : Qt4.Q_Integer)
   is
   begin
      setPageStep_0_wrapper
       (Self.QObject_View,
        Value);
   end Set_Page_Step;

   ---------------
   -- Set_Range --
   ---------------

   procedure Set_Range
    (Self : not null access Q_Abstract_Slider'Class;
     Min : Qt4.Q_Integer;
     Max : Qt4.Q_Integer)
   is
   begin
      setRange_0_wrapper
       (Self.QObject_View,
        Min,
        Max);
   end Set_Range;

   ---------------------
   -- Set_Single_Step --
   ---------------------

   procedure Set_Single_Step
    (Self : not null access Q_Abstract_Slider'Class;
     Value : Qt4.Q_Integer)
   is
   begin
      setSingleStep_0_wrapper
       (Self.QObject_View,
        Value);
   end Set_Single_Step;

   ---------------------
   -- Set_Slider_Down --
   ---------------------

   procedure Set_Slider_Down
    (Self : not null access Q_Abstract_Slider'Class;
     Value : Standard.Boolean)
   is
   begin
      setSliderDown_0_wrapper
       (Self.QObject_View,
        Qt4.To_bool (Value));
   end Set_Slider_Down;

   -------------------------
   -- Set_Slider_Position --
   -------------------------

   procedure Set_Slider_Position
    (Self : not null access Q_Abstract_Slider'Class;
     Value : Qt4.Q_Integer)
   is
   begin
      setSliderPosition_0_wrapper
       (Self.QObject_View,
        Value);
   end Set_Slider_Position;

   ------------------
   -- Set_Tracking --
   ------------------

   procedure Set_Tracking
    (Self : not null access Q_Abstract_Slider'Class;
     Enable : Standard.Boolean)
   is
   begin
      setTracking_0_wrapper
       (Self.QObject_View,
        Qt4.To_bool (Enable));
   end Set_Tracking;

   -----------------
   -- Single_Step --
   -----------------

   function Single_Step
    (Self : not null access constant Q_Abstract_Slider'Class)
       return Qt4.Q_Integer
   is
   begin
      return
        singleStep_0_wrapper
         (Self.QObject_View);
   end Single_Step;

   ---------------------
   -- Slider_Position --
   ---------------------

   function Slider_Position
    (Self : not null access constant Q_Abstract_Slider'Class)
       return Qt4.Q_Integer
   is
   begin
      return
        sliderPosition_0_wrapper
         (Self.QObject_View);
   end Slider_Position;

   -----------
   -- Value --
   -----------

   function Value
    (Self : not null access constant Q_Abstract_Slider'Class)
       return Qt4.Q_Integer
   is
   begin
      return
        value_0_wrapper
         (Self.QObject_View);
   end Value;

   ---------------
   -- Set_Value --
   ---------------

   procedure Set_Value
    (Self : not null access Q_Abstract_Slider'Class;
     Value : Qt4.Q_Integer)
   is
   begin
      setValue_0_wrapper
       (Self.QObject_View,
        Value);
   end Set_Value;

end Qt4.Abstract_Sliders;
